<!ELEMENT  chessproblem (head?, body?)>
<!ATTLIST  chessproblem %id;
                        %annotator;
                        %lang;
                        event           IDREF           #IMPLIED
                        type            NMTOKEN         "original">

<!ELEMENT  dedication   (#PCDATA)>
<!ATTLIST  dedication   to          	IDREFS          #IMPLIED>
<!ELEMENT  stipulation  (#PCDATA)>
<!ATTLIST  stipulation  %type;
                        moves   	CDATA           #IMPLIED
                        tries           CDATA	        #IMPLIED
			set             CDATA           #IMPLIED
			definition	IDREF		#IMPLIED
                        tree            CDATA           #IMPLIED
			mode		CDATA		"add">			<!-- 210600 -->
<!ELEMENT  condition    (#PCDATA)>
<!ATTLIST  condition    %type; 
                        %id;
			definition	IDREF		#IMPLIED
			mode		CDATA		"add">   		<!-- 180600 -->
<!ELEMENT  twin         ((setup|stipulation|condition)+, (solution|theme))*>	<!-- 180600 -->
<!ATTLIST  twin         %id;>


<![%full;[
<!ELEMENT  solution     (#PCDATA|co|analysis|moves|m)*>
<!ATTLIST  solution     
                        twin    	IDREF           #IMPLIED
                        %annotator; 
                        %id;
                        %lang;
                        phase    	NMTOKENS 	"authors solution"
                        num     	CDATA           #IMPLIED>
<!ELEMENT  theme        (#PCDATA|schema)*>
<!ATTLIST  theme        %id;
                        %lang;
                        %annotator;
                        problem   	IDREFS        #IMPLIED
                        solution  	IDREFS        #IMPLIED
                        original  	IDREF         #IMPLIED
                        author    	IDREFS        #IMPLIED
			category  	NMTOKENS      #IMPLIED                                
                        twin      	IDREF         #IMPLIED>
<!ELEMENT  schema       (moves|m)+>
]]>


<![%lite;[
<!ELEMENT  solution     (#PCDATA|co|moves)*>
<!ATTLIST  solution     
                        twin    	IDREF           #IMPLIED
                        %annotator; 
                        %id;
                        %lang;
                        phase    	NMTOKENS 	"authors solution"
                        num     	CDATA           #IMPLIED>


<!ELEMENT  theme        (#PCDATA)*>
<!ATTLIST  theme        %id;
                        %lang;
                        %annotator;
                        problem   	IDREFS        #IMPLIED
                        solution  	IDREFS        #IMPLIED
                        original  	IDREF         #IMPLIED
                        author    	IDREFS        #IMPLIED
			category  	NMTOKENS      #IMPLIED
                        twin      	IDREF         #IMPLIED>
]]>

