<!-- This file contains the information on all the tags important for the representation of references -->


<!ELEMENT  date		EMPTY>
<!ATTLIST  date         year            CDATA           #REQUIRED
                        month           CDATA           #IMPLIED
                        day             CDATA           #IMPLIED
			type		CDATA           "AD"
			time		CDATA		#IMPLIED
   			timezone	CDATA		#IMPLIED>	<!--180600--> 

<!ELEMENT  author       (#PCDATA|person|co)*>
<!ATTLIST  author 	firstname       CDATA           #IMPLIED
                        lastname        CDATA           #IMPLIED
                        initial         CDATA           #IMPLIED
                        type            NMTOKENS        #IMPLIED             
                        title           NMTOKENS        #IMPLIED
        		%id;>


<!ELEMENT  references   (source)*>       

<![%full;[
<!ELEMENT  source       (#PCDATA|date|publisher|copyright|part|chapter|section|list|author|issue)*> <!-- 150600 --> <!--190600--> 
<!ATTLIST  source       type            CDATA           #IMPLIED
                        id              ID              #REQUIRED
                        idtype          CDATA           #IMPLIED
                        xlink           CDATA           #IMPLIED
			copyright       NMTOKENS	#IMPLIED      
                        lang            CDATA           #IMPLIED
                        edition         CDATA           #IMPLIED
                        revision        CDATA           #IMPLIED
                        code            CDATA           #IMPLIED
                        codetype        NMTOKEN         #IMPLIED
                        sourcename      CDATA           #IMPLIED> 	<!--180600--> 

<!ELEMENT  copyright	(#PCDATA|date)*>				<!--180600--> 
<!ATTLIST  copyright	type		CDATA		#IMPLIED
			validity-region CDATA		#IMPLIED
			holder		CDATA		#IMPLIED>   	<!--180600--> 

<!ELEMENT  issue        (#PCDATA|date|author|part|section|chapter)*> 	<!--080600--> 
<!ATTLIST  issue        id              ID              #REQUIRED
                        nr              CDATA           #IMPLIED>      


<!ELEMENT  part         (#PCDATA|chapter|list)*>
<!ATTLIST  part         id              ID              #REQUIRED
                        author          IDREF           #IMPLIED
			title		NMTOKENS        #IMPLIED
			xlink		CDATA           #IMPLIED
                        %lang;
                        type            NMTOKENS        #IMPLIED
                        startpage       NMTOKEN         #IMPLIED
                        endpage         NMTOKEN         #IMPLIED>  	<!--150600--> <!--180600--> 

<!ELEMENT  chapter      (#PCDATA|section|list)*>
<!ATTLIST  chapter      id              ID              #REQUIRED
                        author          IDREF           #IMPLIED
                        %lang;
			title		NMTOKENS        #IMPLIED
			xlink		CDATA           #IMPLIED
                        startpage       NMTOKEN         #IMPLIED
                        endpage         NMTOKEN         #IMPLIED>  	<!--150600--> <!--180600-->   

<!ELEMENT  section      (#PCDATA|subsection|list)*>
<!ATTLIST  section      id              ID              #REQUIRED
                        author          IDREF           #IMPLIED
			title		NMTOKENS        #IMPLIED
			xlink		CDATA           #IMPLIED
                        %lang;
                        startpage       NMTOKEN         #IMPLIED
                        endpage         NMTOKEN         #IMPLIED>  	<!--150600--> <!--180600--> 

<!ELEMENT  subsection   (#PCDATA|subsection|list)*>			<!--180600--> 
<!ATTLIST  subsection   id              ID              #REQUIRED
                        author          IDREF           #IMPLIED
			title		NMTOKENS        #IMPLIED
			xlink		CDATA           #IMPLIED
                        %lang;
			level		CDATA		#IMPLIED
                        startpage       NMTOKEN         #IMPLIED
                        endpage         NMTOKEN         #IMPLIED>  	<!--150600--> <!--180600--> 

<!ELEMENT  list         (listitem)*>
<!ATTLIST  list         name            NMTOKEN         #IMPLIED
			title		CDATA 		#IMPLIED
                        listid          ID              #IMPLIED
                        length          CDATA           #IMPLIED
                        ordertype       CDATA           "ordered"
                        indextype       CDATA           "numbers"           
                        description     CDATA           #IMPLIED>  	<!--150600--> <!--180600--> 

<!ELEMENT  listitem     (#PCDATA|list)*>
<!ATTLIST  listitem     content         IDREF           #IMPLIED
                        number          CDATA           #IMPLIED
                        itemid          ID              #IMPLIED>  	<!--150600-->
                       

<!ELEMENT  publisher    (#PCDATA)>
<!ATTLIST  publisher    country         NMTOKENS        #IMPLIED
                        state           NMTOKENS        #IMPLIED
                        town            NMTOKENS        #IMPLIED
                        location        NMTOKENS        #IMPLIED
                        street          NMTOKENS        #IMPLIED
                        type            NMTOKENS        #IMPLIED
                        %id;
                        %lang;>

]]>


<![%lite;[
<!ELEMENT  source       (#PCDATA|date|author)*> <!-- 150600 --> <!--190600--> 
<!ATTLIST  source       type            CDATA           #IMPLIED
                        id              ID              #REQUIRED
                        idtype          CDATA           #IMPLIED
                        xlink           CDATA           #IMPLIED
			copyright       NMTOKENS	#IMPLIED      
                        lang            CDATA           #IMPLIED
                        edition         CDATA           #IMPLIED
                        revision        CDATA           #IMPLIED
                        code            CDATA           #IMPLIED
                        codetype        NMTOKEN         #IMPLIED
                        sourcename      CDATA           #IMPLIED> 	<!--180600--> 
]]>